import { copyFileSync, readFileSync, writeFileSync } from 'fs';
import { resolve } from 'path';

const doCopy = (src: string, dest: string) => {
  const trueSrc = resolve(src);
  const trueDest = resolve(dest);
  console.log('Copying...');
  console.log(`${trueSrc} -> ${trueDest}`);
  copyFileSync(trueSrc, trueDest);
  const packageJsonContents = readFileSync('./package.json', 'utf-8');
  const packageJson = JSON.parse(packageJsonContents);
  packageJson.exports[dest] = dest;
  const newPackageJsonContents = JSON.stringify(packageJson, null, 2);
  console.log('Updating package.json...');
  writeFileSync('./package.json', newPackageJsonContents);
  console.log('Done');
}

doCopy('./src/components/MenuMultiSelect/MenuMultiSelect.css', './dist/MenuMultiSelect.css');
doCopy('./src/components/TagInput/TagInput.css', './dist/TagInput.css');
doCopy('./src/components/ToggleButton/ToggleButton.css', './dist/ToggleButton.css');
doCopy('./src/components/ToggleSwitch/ToggleSwitch.css', './dist/ToggleSwitch.css');
doCopy('./src/components/ToggleTickBox/ToggleTickBox.css', './dist/ToggleTickBox.css');
